<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../../configuracao.php");//confirma no banco de dados
include("../../inclusos/funcoes.php");
include("../../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	

$mysqli = new mysqli($servidor, $usuario, $senha, $banco);

print $query;

if (mysqli_connect_errno())
{
die(mysqli_connect_error());
exit();
}
$mysqli->query("SET NAMES 'utf8'");

if(isset($_GET['term']))
{
$q = $mysqli->real_escape_string($_GET['term']);
$idobra = $mysqli->real_escape_string($_GET['idobra_proposta']);
$buscar = str_replace(" ","%",$q);

$sql = $mysqli->query("SELECT * FROM obras_servicos WHERE idobra='$idobra' AND coditem LIKE '%".$buscar."%'");

	while ($row = $sql->fetch_assoc()) {
		$data[] = array(
			'label' => $row['coditem'] . " - " . $row['titulo'],
			'idservicoobra' => $row['idservicoobra'],
			'coditem' => $row['coditem'],						
		);
    }
echo json_encode($data);
}

?>